All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreEncodingManager Class Reference

manages encodings in Qore More...

`#include <QoreEncoding.h>`

## Static Public Member Functions

static DLLEXPORT void | addAlias (const QoreEncoding *qcs, const char *alias)
| adds an alias for an encoding
static DLLEXPORT const QoreEncoding * | findCreate (const char *name)
| finds an encoding if it exists (also looks up against alias names) and creates a new one if it doesn't
static DLLEXPORT const QoreEncoding * | findCreate (const QoreString *str)
| finds an encoding if it exists (also looks up against alias names) and creates a new one if it doesn't
static DLLEXPORT void | showEncodings ()
| prints out all valid encodings to stdout
static DLLEXPORT void | showAliases ()
| prints out all aliases to stdout
static DLLEXPORT const QoreEncoding * | add (const char *code, const char *desc=0, unsigned char maxwidth=1, mbcs_length_t l=0, mbcs_end_t e=0, mbcs_pos_t p=0, mbcs_charlen_t=0)
| adds a new encoding to the list

## Detailed Description

manages encodings in Qore

there will always only be one of these, therefore all members and methods are static

The documentation for this class was generated from the following file:

- include/qore/QoreEncoding.h (5431)